%define soname       fprint
%define major        0
%define libname      %mklibname %{soname} %{major}
%define libnamedevel %mklibname %{soname} -d

Name:           libfprint
Version:        0.6.0
Release:        %mkrel 3
License:        LGPLv2+
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
URL:            http://www.freedesktop.org/wiki/Software/fprint/libfprint
Source:         http://people.freedesktop.org/~hadess/libfprint-%{version}.tar.xz
Patch0:         libfprint-0.6.0-link.patch
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(glib-2.0) >= 2.28
BuildRequires:  pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(ImageMagick)
BuildRequires:  pkgconfig(libusb-1.0) >= 0.9.1
BuildRequires:  pkgconfig(nss)
BuildRequires:  pkgconfig(udev)
BuildRequires:  pkgconfig(pixman-1)
BuildRequires:  doxygen

%description
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

Features:
    * Offers a single API to application developers to access the entire range
      of supported devices
    * Supports imaging - downloading live fingerprint scans from the device
    * Includes image processing/matching code
    * Supports enrollment/verification - enrolling a print from a known user,
      and then later comparing a live scan to the enrolled print.

#--------------------------------------------------------------------

%package -n     %{libname}
Group:          System/Libraries
Summary:        Library for adding support for consumer fingerprint readers
Provides:       %{name} = %{version}-%{release}

%description -n %{libname}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

%files -n %{libname}
%{_libdir}/libfprint.so.%{major}{,.*}
%{_udevrulesdir}/60-fprint-autosuspend.rules

#--------------------------------------------------------------------

%package -n     %{libnamedevel}
Group:          System/Libraries
Summary:        Development library for adding support for consumer fingerprint readers
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       %{soname}-devel = %{version}-%{release}

%description -n %{libnamedevel}
libfprint is an open source software library designed to make it easy for
application developers to add support for consumer fingerprint readers to their
software.

This package includes the headers and development library for building
applications that support finger print readers.

%files -n %{libnamedevel}
%{_includedir}/libfprint
%{_libdir}/libfprint.so
%{_libdir}/pkgconfig/libfprint.pc

#--------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
autoreconf -vfi
%configure2_5x \
        --disable-static \
        --with-udev-rules-dir=%{_udevrulesdir}/
%make
pushd doc
make docs
popd

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete


%changelog
* Tue Mar 15 2016 daviddavid <daviddavid> 0.6.0-3.mga6
+ Revision: 991067
- rename and rediff unappliable link patch (since fixed autopatch)

* Mon Feb 15 2016 umeabot <umeabot> 0.6.0-2.mga6
+ Revision: 960980
- Mageia 6 Mass Rebuild

* Wed Nov 25 2015 daviddavid <daviddavid> 0.6.0-1.mga6
+ Revision: 905974
- new version: 0.6.0
- provides fprint-devel

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-4.mga5
+ Revision: 746074
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 681463
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.5.1-2.mga4
+ Revision: 534399
- Mageia 4 Mass Rebuild

* Thu Sep 12 2013 fwang <fwang> 0.5.1-1.mga4
+ Revision: 477806
- new version 0.5.1

* Tue May 28 2013 fwang <fwang> 0.5.0-4.mga4
+ Revision: 429145
- rebuild for new imagemagick

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.5.0-3.mga3
+ Revision: 361775
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 26 2012 fwang <fwang> 0.5.0-1.mga3
+ Revision: 335301
- set udev rules dir
- do not patch Makefile.in

  + juancho <juancho>
    - Updated to 0.5.0

* Fri Dec 14 2012 fwang <fwang> 0.4.0-3.mga3
+ Revision: 330736
- rebuild for new imagemagick

* Sat Dec 08 2012 tv <tv> 0.4.0-2.mga3
+ Revision: 328280
- cleanup description

* Sat Dec 08 2012 fwang <fwang> 0.4.0-1.mga3
+ Revision: 328070
- fix linkage

* Fri Aug 26 2011 tv <tv> 0.4.0-1.mga2
+ Revision: 135575
- fix file list
- BuildRequires: nss-devel
- drop merged patches
- new release
- new URL

* Mon Feb 07 2011 mikala <mikala> 0.1.0-0.pre2.5.mga1
+ Revision: 48741
- imported package libfprint


* Sun Nov 28 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.pre2.5mdv2011.0
+ Revision: 602543
- rebuild

* Fri Apr 09 2010 Funda Wang <fwang@mandriva.org> 0.1.0-0.pre2.4mdv2010.1
+ Revision: 533315
- rebuild

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.0-0.pre2.3mdv2010.1
+ Revision: 511586
- rebuilt against openssl-0.9.8m

* Wed Dec 16 2009 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.1.0-0.pre2.2mdv2010.1
+ Revision: 479570
- Add buildrequire
- make %%libname provide %%name
- Fix patches
- Update to 0.1.0 pre2
  Sync patches with fedora
  Fix file list

* Sun Sep 13 2009 Thierry Vignaud <tv@mandriva.org> 0.0.6-4mdv2010.0
+ Revision: 438595
- rebuild

  + Funda Wang <fwang@mandriva.org>
    - add URL

* Sat Jan 31 2009 Funda Wang <fwang@mandriva.org> 0.0.6-3mdv2009.1
+ Revision: 335787
- rebuild

* Sun Jul 20 2008 Funda Wang <fwang@mandriva.org> 0.0.6-2mdv2009.0
+ Revision: 238915
- rebuild against latest imagemagick
- use configure2_5x

* Sat Jun 21 2008 Buchan Milne <bgmilne@mandriva.org> 0.0.6-1mdv2009.0
+ Revision: 227706
- New version 0.0.6

* Thu Feb 14 2008 Thierry Vignaud <tv@mandriva.org> 0.0.5-4mdv2008.1
+ Revision: 168578
- rebuilt against new imagemagick libs
- fix no-buildroot-tag

* Tue Jan 08 2008 Oden Eriksson <oeriksson@mandriva.com> 0.0.5-2mdv2008.1
+ Revision: 146505
- rebuilt against new imagemagick libs (6.3.7)

* Sat Dec 08 2007 Buchan Milne <bgmilne@mandriva.org> 0.0.5-1mdv2008.1
+ Revision: 116482
- Buildrequire openssl-devel
- import libfprint


